Bug 16974 - новая версия не работает
: новая версия не работает
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kvm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-09-01 18:38 by
Modified: 2008-10-19 00:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-01 18:38:58
После обновления qemu-kvm перестал работать.
Отображается надпись Press F12 for boot menu. и после этого тишина.

Обычный qemu при этом работает нормально. На предыдущей версии таких проблем не
наблюдалось.
kvm-74-alt1
qemu-0.9.1-alt3
------- Comment #1 From 2008-09-01 19:01:47 -------
(In reply to comment #0)
> После обновления qemu-kvm перестал работать.
> Отображается надпись Press F12 for boot menu. и после этого тишина.

Ядро? архитектура? процессор?
------- Comment #2 From 2008-09-01 19:04:15 -------
2.6.25-std-def-alt7
i586
Intel(R) Core(TM)2 CPU         T5600  @ 1.83GHz
------- Comment #3 From 2008-09-01 19:42:12 -------
(In reply to comment #2)
> 2.6.25-std-def-alt7
> i586
> Intel(R) Core(TM)2 CPU         T5600  @ 1.83GHz

2.6.25-std-def-alt7
x86_64
AMD Athlon(tm) 64 X2 Dual Core Processor 3800+
- работает.
Либо опять бутлоадер кривой, либо Intel-специфика :(
В логах ничего?
Если из-под пользователя запускаешь:
groups | grep -o _kvm
------- Comment #4 From 2008-09-01 19:47:30 -------
В логах - ничего. 

Это скорее всего Intel-специфика. Но бутлоадер уже новый, исправленный.
собственно до обновления - работало на этом же ядре.
------- Comment #5 From 2008-09-01 19:48:48 -------
Загрузка не идёт и с HDD.

Т.е. - не работает и в таком виде:
qemu-kvm -boot c -hda /dev/sda

Независимо, под пользователем или под рутом.
------- Comment #6 From 2008-09-01 19:51:58 -------
Проверили на AMD (i586) - работает.
------- Comment #7 From 2008-09-01 19:52:51 -------
Кстати, есть вероятность, что нужно обновить код в ядре. 
------- Comment #8 From 2008-09-01 20:00:25 -------
(In reply to comment #6)
> Проверили на AMD (i586) - работает.

Ещё бы проверить на Core2 на x86_64
------- Comment #9 From 2008-09-01 20:01:38 -------
(In reply to comment #7)
> Кстати, есть вероятность, что нужно обновить код в ядре. 

на AMD и со старым ядерным модулем работает. И на 2.6.22 с модулем 68
------- Comment #10 From 2008-09-01 20:04:42 -------
(In reply to comment #7)
> Кстати, есть вероятность, что нужно обновить код в ядре. 

kernel-source-kvm-74 в Сизифе тоже есть, так что можно попробовать. Могу и
kernel-modules-kvm.spec'ом поделиться
------- Comment #11 From 2008-09-02 07:02:56 -------
Поделись, проверю.
------- Comment #12 From 2008-09-02 18:14:18 -------
(In reply to comment #11)
> Поделись, проверю.

Отправил в личку
------- Comment #13 From 2008-09-24 12:40:50 -------
Обновлённые модули не помогли. Так же висит после надписи Press F12 for boot
menu
------- Comment #14 From 2008-09-24 12:53:50 -------
(In reply to comment #13)
> Обновлённые модули не помогли. Так же висит после надписи Press F12 for boot menu

Печально...
А что должно загрузиться? Я так понял, это какой-то ISO-имидж liveCD?
Можешь проверить, например, на DSL - там образ недольшой для скачивания, ок
50М. Я в первую очередб на нём проверяю (на других, естественно, тоже, в
частности - на ReactOS)
------- Comment #15 From 2008-09-24 16:41:35 -------
Не грузится вообще ничего. Ни образы дисков, ни образы CD. Зависает даже если
просто сделать пустой образ hdd и попытаться загрузиться с него.
------- Comment #16 From 2008-10-09 14:42:16 -------
Всё-таки это модули ядра. В прошлый раз, видимо, я где-то ошибся.

Сейчас ещё раз собрал модули, обновил - всё работает.
------- Comment #17 From 2008-10-09 14:45:34 -------
(In reply to comment #16)
> Всё-таки это модули ядра.
> Сейчас ещё раз собрал модули, обновил - всё работает.

Отлично!
Тогда - FIXED? Тем более, что (как я понял) в дальнейшем модули ядра будут
собираться из kernel-source-kvm
------- Comment #18 From 2008-10-09 14:48:54 -------
Для меня - точно fixed. Для пользователей - как только модули будут в Sisyphus.
------- Comment #19 From 2008-10-18 19:19:16 -------
(In reply to comment #18)
> Для меня - точно fixed. Для пользователей - как только модули будут в Sisyphus.
Мож плюхнешь пока где?  Сегодня опять споткнулся на M41 на те грабли с
настройкой сети в образе ALD4.1 (kvm_amd, i586) -- мож тоже исправится...
------- Comment #20 From 2008-10-18 19:30:43 -------
так они уже в Sisyphus, рядом с 10-ой сборкой ядра 2.6.25.

А с сетью - попробуй другие типы адаптеров, должно заработать.
------- Comment #21 From 2008-10-18 22:13:24 -------
(In reply to comment #19)
> (In reply to comment #18)
> > Для меня - точно fixed. Для пользователей - как только модули будут в Sisyphus.
> Мож плюхнешь пока где?  Сегодня опять споткнулся на M41 на те грабли с
> настройкой сети в образе ALD4.1 (kvm_amd, i586) -- мож тоже исправится...
> 

Что именно "плюхнуть"? ядерный модуль? для какого ядра?
------- Comment #22 From 2008-10-18 23:58:07 -------
Эээ... для 2.6.25-std-pae-alt8.M41.1 как-то даже неудобно... :)
------- Comment #23 From 2008-10-19 00:08:34 -------
(In reply to comment #22)
> Эээ... для 2.6.25-std-pae-alt8.M41.1 как-то даже неудобно... :)

Почему "неудобно"? Я думаю, это нормальная просьба к мейнтейнеру ядра:)
------- Comment #24 From 2008-10-19 00:09:21 -------
(In reply to comment #23)
> (In reply to comment #22)
> > Эээ... для 2.6.25-std-pae-alt8.M41.1 как-то даже неудобно... :)
> 
> Почему "неудобно"? Я думаю, это нормальная просьба к мейнтейнеру ядра:)

В смысле -  "к мейнтейнеру ядра 2.6.25-std-pae":)